<?php
switch ($tela):
/*
isso aqui imprime o menu la dentro do excel
case 'excel':
   $filename="arquivoexcel.xls";
   header ("Content-Type: application/vnd.ms-excel");
   header ("Content-Disposition: inline; filename=$filename");
?>

<table border="1">
<?
for ($i=1;$i < 3; $i++)
{
   echo "<tr>";
   for ($j=1; $j<3;$j++)
   {
      $a = $i * $j;
      echo "<td>$a</td>";
   }
   echo "</tr>";
}
?>
</table>


<?php

*/
case 'excel':
   //$filename="arquivoexcel2.xls";
   //header ("Content-Type: application/vnd.ms-excel");
   //header ("Content-Disposition: inline; filename=$filename");
?>


<table>
    <tr>
        <td>Cliente</td>
        <td>compras</td>
    </tr>
    <tr>
        <td>joao</td>
        <td>300</td>
    </tr>
    <tr>
        <td>jose</td>
        <td>1300</td>
    </tr>
<?php
  // Determina que o arquivo é uma planilha do Excel
   header("Content-type: application/vnd.ms-excel");  

	   // Força o download do arquivo
	   header("Content-type: application/force-download"); 
	 
	   // Seta o nome do arquivo
	   header("Content-Disposition: attachment; filename=otofile.xls");
	 
	   header("Pragma: no-cache");
	   // Imprime o conteúdo da nossa tabela no arquivo que será gerado
	   echo $html;
	


   break;
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>